#
# spec file for package sar2
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sar2
Version:        2.3.2
Release:        lp150.1.5
Summary:        Rescue Helicopter Simulator
License:        GPL-2.0
Group:          Amusements/Games/3D/Simulation
Url:            https://searchandrescue2.github.io/sar2/
Source:         https://github.com/SearchAndRescue2/sar2/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM https://github.com/SearchAndRescue2/sar2/pull/5 & https://github.com/SearchAndRescue2/sar2/pull/4
Patch1:         http://pkgs.fedoraproject.org/cgit/rpms/sar2.git/plain/sar2-2.3.2-optflags.patch
# PATCH-FEATURE-UPSTREAM https://github.com/SearchAndRescue2/sar2/pull/6
Patch2:         appdata.patch
BuildRequires:  Mesa-devel
BuildRequires:  fdupes
BuildRequires:  freealut-devel
BuildRequires:  gcc-c++
BuildRequires:  libSDL-devel
BuildRequires:  libvorbis-devel
BuildRequires:  openal-soft-devel
BuildRequires:  scons
BuildRequires:  update-desktop-files
BuildRequires:  xorg-x11-libICE-devel
BuildRequires:  xorg-x11-libSM-devel
BuildRequires:  xorg-x11-libX11-devel
BuildRequires:  xorg-x11-libXext-devel
BuildRequires:  xorg-x11-libXmu-devel
BuildRequires:  xorg-x11-libXpm-devel
Requires:       %{name}-data = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Search and Rescue II is a rescue helicopter simulator for Linux.
It features several missions where the player pilots a
helicopter in order to rescue people in distress. There are
several scenarios and helicopter models.

SaR II has a strong focus on realistic physics and low graphics requirements
and it is a fork of the game "Search and Rescue"

Among the improvements of SaR II are:
* OpenAL sound effects
* Smoother graphics
* Full SDL Joystick support
* Full playable music

%package data
Summary:        Data files for sar2
Group:          Amusements/Games/3D/Simulation
Requires:       %{name} = %{version}
BuildArch:      noarch

%description data
Data files for Search and Rescue II

%prep
%setup -q
%patch1 -p1 -b .optflags
%patch2 -p1

%build
scons --optflags="%{optflags} -DHAVE_LIBXPM"

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -ar data/* %{buildroot}%{_datadir}/%{name}/

mkdir -p %{buildroot}%{_mandir}/man6
cp -a man/* %{buildroot}%{_mandir}/man6

mkdir -p %{buildroot}%{_bindir}
cp -a bin/%{name} %{buildroot}%{_bindir}

install -D -m 0644 extra/sar2.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
%suse_update_desktop_file %{name}

install -D -m 0644 extra/sar2.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.xpm

install -D -m 0644 extra/sar2.appdata.xml %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml

%fdupes %{buildroot}%{_datadir}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG HACKING LICENSE README
%doc %{_mandir}/man6/%{name}.6*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/appdata/%{name}.appdata.xml

%files data
%defattr(-,root,root,-)
%{_datadir}/%{name}/

%changelog
* Sat Jul 15 2017 mailaender@opensuse.org
- Update to version 2.3.2
- Add appdata.xml
- Build with optflags
* Thu Jan 17 2013 joop.boonen@opensuse.org
- Fixed the spec file to be able to build for openSUSE > 12.2
* Fri Dec  2 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
* Fri Dec  2 2011 jreidinger@suse.com
- fix building (libs.patch)
* Mon Jun 13 2011 prusnak@opensuse.org
- split off data subpackage
* Mon Jun 13 2011 prusnak@opensuse.org
- spec cleanup
* Sun Apr 24 2011 hector1987@gmail.com
- initial build (v 2.3.0)
